<?php if (isset($client->displayImage)) : ?>
  <div class="top-img" style="background-image: url(<?php echo $client->displayImage; ?>)"></div>
<?php elseif ($fcrmDefaultImageUrl && strlen($fcrmDefaultImageUrl)) : ?>
  <div class="top-img" style="background-image: url(<?php echo $fcrmDefaultImageUrl; ?>)"></div>
<?php else: ?>
  <div class="top-img" style="background: #f1f1f1;"></div>
<?php endif; ?>
<div class="content">
  <div class="title">
    <?php
    echo $client->fullName;
    ?>
  </div>
  <div class="dates">
    <?php
    if (isset($client->clientDateOfBirth) && isset($client->clientDateOfDeath)) {
        $date1 = new DateTime($client->clientDateOfBirth);
        $date2 = new DateTime($client->clientDateOfDeath);
        echo $date1->format('Y') . " - " . $date2->format('Y');
    } elseif (isset($client->clientDateOfDeath)) {
        $date1 = new DateTime($client->clientDateOfDeath);
        echo " - " . $date1->format('Y');
    }
    ?>
  </div>

  <?php
    if ($client->hideDetails != true) {
      $serviceTime = null;
      if (isset($client->serviceDateTime)) {

          $dateClass = $fcrmShowLocation == false ? ' space-under' : null;
          echo '<div class="service-date' . $dateClass . '"><strong>';
          $todayDate = new DateTime();
          $serviceTime = new DateTime($client->serviceDateTime);
          echo $serviceTime->format('D j F g:i a');
          echo '</strong></div>';
      }

      if ($fcrmShowLocation == true) {
        echo '<div class="venue">';
        if (isset($client->serviceVenue) && isset($client->serviceVenue->googleLink)) {
          echo '<a href="' . urldecode($client->serviceVenue->googleLink) . '" target="_blank" class="venue">';
          if (isset($client->serviceVenue) && isset($client->serviceVenue->name)) {
            echo $client->serviceVenue->name . "</br>";
          }
          if (isset($client->serviceVenue) && isset($client->serviceVenue->address)) {
            echo $client->serviceVenue->address;
          }
          echo '</a>';
        } else {
          echo '<div class="venue">';
          if (isset($client->serviceVenue) && isset($client->serviceVenue->name)) {
            echo $client->serviceVenue->name . ",";
          }
          if (isset($client->serviceVenue) && isset($client->serviceVenue->address)) {
            echo $client->serviceVenue->address;
          }
          echo '</div>';
        }
        echo '</div>';
      }
    }

    if (isset($detailPage)) {
      $shareUrl = current_location().'/'.$detailPage.'?id='.$client->id;
    }
    include(plugin_dir_path(__FILE__) . 'service-buttons.php');
  ?>
</div>
