
<div class="service-buttons-group">
  <?php if (isset($serviceTime) && $client->hideDetails != true) {
    $locationOfFuneral = "";
    if (isset($client->serviceVenue) && isset($client->serviceVenue->googleLink)) {
        if (isset($client->serviceVenue) && isset($client->serviceVenue->name)) {
            $locationOfFuneral = $locationOfFuneral . " " . $client->serviceVenue->name;
        }
        if (isset($client->serviceVenue) && isset($client->serviceVenue->address)) {
            $locationOfFuneral = $locationOfFuneral . " " . $client->serviceVenue->address;
        }
    } else {
        if (isset($client->serviceVenue) && isset($client->serviceVenue->name)) {
            $locationOfFuneral = $locationOfFuneral . " " . $client->serviceVenue->name;
        }
        if (isset($client->serviceVenue) && isset($client->serviceVenue->address)) {
            $locationOfFuneral = $locationOfFuneral . " " . $client->serviceVenue->address;
        }
    }

    $locationOfFuneral = trim($locationOfFuneral);
    $locationOfFuneral = str_replace(",", "\,", $locationOfFuneral);
    $serviceEndTime = clone $serviceTime;
    date_add($serviceEndTime, date_interval_create_from_date_string('1 hour'));
  ?>
    <a class="service-button ical-download" title="Download iCal" onclick="downloadiCal('<?php echo $client->name; ?>', '<?php echo addslashes($locationOfFuneral); ?>', '<?php echo $serviceTime->format('Ymd\THis'); ?>', '<?php echo $serviceEndTime->format('Ymd\THis'); ?>')"><i class="fas fa-calendar-alt"></i></a>
  <?php } ?>

  <?php if (isset($client->content)) {
    $modalId = uniqid();
    echo '<div id="content'.$modalId.'" class="modal fcrm-service-modal"><div class="modal-title">Announcement</div><div class="modal-content">'.utf8_decode($client->content).'</div><a href="#" rel="modal:close" class="modal-close">Close</a></div>';
    echo '<a href="#content'.$modalId.'" title="View Announcement" class="service-button open-modal" rel="modal:open"><i class="fas fa-newspaper"></i></a>';
  } ?>

  <?php if (isset($client->serviceSheetUrl)) {
      echo '<a href="' . $client->serviceSheetUrl . '" target="_blank" title="View order of service" class="service-button"><i class="fas fa-info-square"></i></a>';
  } ?>

  <?php if (isset($client->slideshowUrl)) {
      echo '<a href="' . $client->slideshowUrl . '" target="_blank" title="View slideshow" class="service-button"><i class="fas fa-image"></i></a>';
  } ?>

  <?php if (isset($client->liveStreamUrl)) {
      echo '<a href="' . $client->liveStreamUrl . '" target="_blank" title="View Live Stream" class="service-button"><i class="fas fa-video"></i></a>';
  } ?>

  <?php if (isset($shareUrl)) { ?>
    <a title="Share" class="service-button social-share"><i class="fas fa-share-alt-square"></i></a>
    <div class="firehawk-services-social-menu social-menu" role="tooltip">
      <button class="button" data-sharer="facebook" data-url="<?php echo $shareUrl; ?>" title="Share to Facebook"><i class="fab fa-facebook-f"></i></button>

      <button class="button" data-sharer="twitter" data-title="<?php echo 'Service for '.$client->fullName; ?>" data-url="<?php echo $shareUrl; ?>" title="Share to Twitter"><i class="fab fa-twitter"></i></button>

      <button class="button" data-sharer="email" data-to="" data-subject="<?php echo 'Service for '.$client->fullName; ?>" data-title="<?php echo 'Here is the service details for '.$client->fullName; ?>" data-url="<?php echo $shareUrl; ?>" title="Share via email"><i class="fas fa-envelope"></i></button>

      <button class="button copy-btn" data-clipboard-text="<?php echo $shareUrl; ?>" title="Copy"><i class="fas fa-copy"></i></button>
    </div>
  <?php } ?>
</div>
